BimpHelp

Goods and services receipts: Bimp API methods

Bimp API methods for the “Goods and services receipts” resource (/org2/purchaseInvoice/…): 5 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.

MethodWhat it does
POST /org2/purchaseInvoice/api-readA request to obtain detailed information for a particular purchase invoice document
POST /org2/purchaseInvoice/api-readListA request to view a list of purchase invoice documents
POST /org2/purchaseInvoice/api-createA request to create a new purchase invoice document
POST /org2/purchaseInvoice/api-updateA request to update an existing purchase invoice document
POST /org2/purchaseInvoice/api-cancelCancel a purchase invoice document

api-read

POST /org2/purchaseInvoice/api-read

A request to obtain detailed information for a particular purchase invoice document

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for the Purchase invoice document

Response: data field

FieldTypeDescription
uuidstring (uuid)
namestring
datestring (date-time)
commentstring
sumnumber
numberstring
counterpartystring (uuid)
responsiblestring (uuid)
organizationstring (uuid)
managerialAccountingbooleanУправлінський облік
bookkeperAccountingbooleanБухгалтерський облік
taxAccountingbooleanПодатковий облік
shipmentDatestring
VATaccountedboolean
VATnumber
costWOVatboolean
contractstring (uuid)
warehousestring (uuid)
invoiceForPaymentstring (uuid)
orderInTablePartboolean
processingbooleanAn informational flag marking the document as related to tolling (processing)
productsobject[]
products[].costnumber
products[].countnumber
products[].sumnumber
products[].VATstring (uuid)
products[].VATamountnumber
products[].unitOfMeasurementstring (uuid)
products[].productstring (uuid)
products[].parentstring (uuid)
products[].invoiceForCustomerPaymentstring (uuid)
products[].supplierNomenclaturestringSupplier nomenclature name (НоменклатураПоставщика)
curl -X POST 'https://app.bimpsoft.com/org2/purchaseInvoice/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readList

POST /org2/purchaseInvoice/api-readList

A request to view a list of purchase invoice documents

Request body (JSON)

FieldTypeRequiredDescription
paginationobjectyes
pagination.offsetnumberyesBegin from {offset} elements
pagination.countnumberyesLimit of paginated elemets
periodableobject[]Period range as a tuple of two ISO 8601 date-time strings in UTC (e.g. ‘2012-10-05T14:48:00.000Z’)
organizationsstring (uuid)[]A unique identifier for the Organization, obtainable from the /organization/api-readList request
showAllbooleanParameter to show all documents inc. Archived and Drafts
managerialAccountingbooleanShow documents with managerial accounting
bookkeperAccountingbooleanShow documents with bookkeper accounting

Response: data field

FieldTypeDescription
[].uuidstring (uuid)
[].namestring
[].datestring (date-time)
[].commentstring
[].sumnumber
[].numberstring
[].currencystring (uuid)
[].counterpartystring (uuid)
[].responsiblestring (uuid)
[].organizationstring (uuid)
[].invoiceForPaymentstring
[].managerialAccountingbooleanУправлінський облік
[].bookkeperAccountingbooleanБухгалтерський облік
[].taxAccountingbooleanПодатковий облік
[].archivebooleanЗаархівований документ
[].isConductedbooleanПроведений документ
curl -X POST 'https://app.bimpsoft.com/org2/purchaseInvoice/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-create

POST /org2/purchaseInvoice/api-create

A request to create a new purchase invoice document

Request body (JSON)

FieldTypeRequiredDescription
numberstring | numberDocument number
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
commentstringAn optional text field for any additional notes or comments related to the document
shipmentDatestring | null
VATaccountedbooleanyesValue indicating whether VAT (Value Added Tax) has been accounted for
costWithoutVATbooleanyesIs the price excluding VAT?
bookkeperAccountingbooleanyesIs accounting taken into account in the document?
managerialAccountingbooleanyesIs management accounting taken into account in the document?
taxAccountingbooleanyesIs tax accounting taken into account in the document?
orderInTablePartbooleanIs there an order in the table part?
processingbooleanAn informational flag marking the document as related to tolling (processing)
organizationstring (uuid)yesA unique identifier for the Organization, obtainable from the /organization/api-readList request
responsiblestring (uuid)yesA unique identifier for the Employee, obtainable from the /employee/api-readList request
counterpartystring (uuid)yesA unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
warehousestring (uuid)yesA unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
contractstring (uuid)yesThe unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
invoiceForSupplierPaymentstring (uuid)yesA unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request
productsobject[]yes
products[].orderedCountnumberyesNumber of ordered items
products[].warehouseCountnumberyesActual quantity received at the warehouse
products[].sumnumberyesThe sum of the document
products[].VATsumnumberyesThe amount of the VAT
products[].costnumberyesA numerical value representing the cost of the product
products[].lineOfBusinessstring (uuid)yesA unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
products[].productstring (uuid)yesA GUID of product, representing the nomenclature included in the document
products[].projectstring (uuid)yesA unique identifier for the Project, obtainable from the /project/api-readList request
products[].taxRatestring (uuid)A unique identifier for the VAT, obtainable from the /vat/api-readList request
products[].invoiceForCustomerPaymentstring (uuid) | nullyesA unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request
products[].supplierNomenclaturestringSupplier nomenclature name (НоменклатураПоставщика)

Response: data field

FieldTypeDescription
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/purchaseInvoice/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"VATaccounted":true,"costWithoutVAT":true,"bookkeperAccounting":true,"managerialAccounting":true,"taxAccounting":true,"organization":"00000000-0000-0000-0000-000000000000","responsible":"00000000-0000-0000-0000-000000000000","counterparty":"00000000-0000-0000-0000-000000000000","warehouse":"00000000-0000-0000-0000-000000000000","contract":"00000000-0000-0000-0000-000000000000","invoiceForSupplierPayment":"00000000-0000-0000-0000-000000000000","products":[{}]}'

api-update

POST /org2/purchaseInvoice/api-update

A request to update an existing purchase invoice document

Response: data field

FieldTypeDescription
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/purchaseInvoice/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{}'

api-cancel

POST /org2/purchaseInvoice/api-cancel

Cancel a purchase invoice document

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for the purchase invoice document

Response: data field

FieldTypeDescription
successboolean (true)
curl -X POST 'https://app.bimpsoft.com/org2/purchaseInvoice/api-cancel' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.